var author = "Aaron Spuler";
var displayname = "Single Window";
var version = "1.0";
var packagename = "singlewindow";
var packagefile = "singlewindow.jar";

initInstall(displayname, "/" + author + "/" + displayname, version);

//Get installdir
var cf;
var msg = "Install to your profile?\nPress Cancel to install for all users.";
var installdir = (cf = confirm(msg)) ? getFolder("Profile", "chrome") : getFolder("Chrome");

// Add file and register chrome
setPackageFolder(installdir);
addFile('chrome/' + packagefile);

if (cf)
   cf = PROFILE_CHROME;
else
   cf = DELAYED_CHROME;

registerChrome(CONTENT | cf, getFolder(installdir, packagefile), "content/" + packagename + "/");
//registerChrome(LOCALE | cf, getFolder(installdir, packagefile), "locale/en-US/" + packagename + "/");


//Install
if(getLastError() == SUCCESS)
{
   performInstall();
   if(!(getLastError() == SUCCESS || getLastError() == 999)) {
      alert("An error occured during installation !\nErrorcode: " + getLastError());
   }
}
else
{
   alert("An error occurred, installation will be canceled.\nErrorcode: " + getLastError());
   cancelInstall(getLastError());
}